# https://docs.fedoraproject.org/en-US/packaging-guidelines/SourceURL/#_git_hosting_services

%define git_repo certificados-icpbrasil
%define git_branch 15.3

Name:           ca-certificates-icpbrasil
Version:        2021.11.29
Release:        lp153.3.1
# Arquivos baixados de: https://www.gov.br/iti/pt-br/assuntos/repositorio/certificados-das-acs-da-icp-brasil-arquivo-unico-compactado
# Atualizados em: 29 de novembro de 2021
Summary:        Certificados das ACs da ICP-Brasil
License:        GPL-2.0+
Group:          Productivity/Networking/Security
URL:            https://gitlab.com/kamarada/%{git_repo}
Source:         https://gitlab.com/kamarada/%{git_repo}/-/archive/%{git_branch}/%{git_repo}-%{git_branch}.tar.gz#/%{git_repo}.tar.gz

BuildArch:      noarch
BuildRequires:  unzip

Requires:       mozilla-nss-tools
Requires:       openssl

Requires(post):     ca-certificates
Requires(postun):   ca-certificates


%description
Este pacote contém todos os certificados das ACs da ICP-Brasil.

Para instalar os certificados no seu perfil de usuário, execute o comando:

$ instalar-icpbrasil

Para mais informações sobre esse comando, execute:

$ instalar-icpbrasil --ajuda

Esse script suporta:

- o navegador Mozilla Firefox
- os navegadores Google Chrome/Chromium
- quaisquer navegadores baseados nos supracitados (Opera, Vivaldi, Brave, etc)
- o cliente de e-mail Mozilla Thunderbird

Para navegadores instalados após este pacote, pode ser necessário executar esse
comando novamente.

Para novos usuários criados após a instalação deste pacote, os certificados são
instalados automaticamente nos navegadores Google Chrome/Chromium e derivados.

Esse script deve ser executado para cada usuário no computador (não há como
instalar os certificados em todos os navegadores a nível de sistema).


%prep
%autosetup -n %{git_repo}
sha512sum -c hashsha512.txt
unzip ACcompactado.zip


%build


%install
mkdir -p %{buildroot}%{_datadir}/icpbrasil/
install -D -m 644 *.crt %{buildroot}%{_datadir}/icpbrasil/

mkdir -p %{buildroot}%{_datadir}/pki/trust/anchors/
for certificado in *.crt
do
    ln -s "%{_datadir}/icpbrasil/$certificado" "%{buildroot}%{_datadir}/pki/trust/anchors/$certificado"
done

mkdir -p %{buildroot}%{_bindir}/
install -D -m 555 instalar-icpbrasil %{buildroot}%{_bindir}/
mkdir -p %{buildroot}%{_sysconfdir}/profile.d/
install -D -m 644 icpbrasil.sh %{buildroot}%{_sysconfdir}/profile.d/


%post
update-ca-certificates || true


%postun
update-ca-certificates || true


%files
%defattr(-,root,root)
%config %{_sysconfdir}/profile.d/icpbrasil.sh
%{_bindir}/instalar-icpbrasil
%{_datadir}/icpbrasil/
%{_datadir}/pki/trust/anchors/*.crt


%changelog
* Mon Dec 27 2021 Antônio Vinícius Menezes Medeiros <linuxkamarada@gmail.com> - 2021.11.29
- Atualização dos certificados
* Fri Aug  7 2020 Antônio Vinícius Menezes Medeiros <linuxkamarada@gmail.com> - 2020.03.26
- Atualização dos certificados
- Melhorias no instalador:
  * Prevenção de execução para o usuário root
  * Adição de mensagens informando o início e o fim da instalação
  * Instalação silenciosa por padrão (com opção de exibir detalhes)
* Mon Jan 13 2020 Antônio Vinícius Menezes Medeiros <linuxkamarada@gmail.com> - 2020.01.09
- Primeira versão
